Retrieve account insights
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.wpengineapi.com/v1/accounts/eeda3227-9a39-46ae-9e14-20958bb4e6c9/usage/insights"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <credentials>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.wpengineapi.com/v1/accounts/eeda3227-9a39-46ae-9e14-20958bb4e6c9/usage/insights';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.wpengineapi.com/v1/accounts/eeda3227-9a39-46ae-9e14-20958bb4e6c9/usage/insights \ --header 'Authorization: Basic <credentials>'Returns detailed usage insights for the account across different environment types and site types. The default response is a summary of the last 30 days.
Limitations & Warnings
first_dateandlast_datecan be specified to retrieve insights over a custom date range. Both must be provided together, and the range cannot exceed 31 days.first_datecannot be older than 13 months.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ID of account
Example
eeda3227-9a39-46ae-9e14-20958bb4e6c9Query Parameters
Section titled “Query Parameters”The start date for the requested metrics range (inclusive).
Format: YYYY-mm-dd. Cannot be older than 13 months.
If first_date is provided, last_date must also be provided.
The end date for the requested metrics range (inclusive).
Format: YYYY-mm-dd.
If last_date is provided, first_date must also be provided.
Responses
Section titled “Responses”Returns an AccountUsageInsights object.
Comprehensive account usage insights broken down by environment types and site types
object
Usage metric with breakdown by environment and site types
object
The total usage value
Breakdown of usage by environment type
object
Usage for production environments
Usage for staging environments
Usage for development environments
Breakdown of usage by site type
object
Usage for standard sites
Usage for transferable sites
Usage for sandbox sites
Usage metric with breakdown by environment and site types
object
The total usage value
Breakdown of usage by environment type
object
Usage for production environments
Usage for staging environments
Usage for development environments
Breakdown of usage by site type
object
Usage for standard sites
Usage for transferable sites
Usage for sandbox sites
Usage metric with breakdown by environment and site types
object
The total usage value
Breakdown of usage by environment type
object
Usage for production environments
Usage for staging environments
Usage for development environments
Breakdown of usage by site type
object
Usage for standard sites
Usage for transferable sites
Usage for sandbox sites
Usage metric with breakdown by environment and site types
object
The total usage value
Breakdown of usage by environment type
object
Usage for production environments
Usage for staging environments
Usage for development environments
Breakdown of usage by site type
object
Usage for standard sites
Usage for transferable sites
Usage for sandbox sites
Usage metric with breakdown by environment and site types
object
The total usage value
Breakdown of usage by environment type
object
Usage for production environments
Usage for staging environments
Usage for development environments
Breakdown of usage by site type
object
Usage for standard sites
Usage for transferable sites
Usage for sandbox sites
Usage metric with breakdown by environment and site types
object
The total usage value
Breakdown of usage by environment type
object
Usage for production environments
Usage for staging environments
Usage for development environments
Breakdown of usage by site type
object
Usage for standard sites
Usage for transferable sites
Usage for sandbox sites
Usage metric with breakdown by environment and site types
object
The total usage value
Breakdown of usage by environment type
object
Usage for production environments
Usage for staging environments
Usage for development environments
Breakdown of usage by site type
object
Usage for standard sites
Usage for transferable sites
Usage for sandbox sites
Usage metric with breakdown by environment and site types
object
The total usage value
Breakdown of usage by environment type
object
Usage for production environments
Usage for staging environments
Usage for development environments
Breakdown of usage by site type
object
Usage for standard sites
Usage for transferable sites
Usage for sandbox sites
Example
{ "visit_count": { "total": "1695", "environment_types": { "production": "1354", "staging": "177", "development": "164" }, "site_types": { "standard": "1683", "transferable": "7", "sandbox": "5" } }, "billable_visits": { "total": "1695", "environment_types": { "production": "1354", "staging": "177", "development": "164" }, "site_types": { "standard": "1683", "transferable": "7", "sandbox": "5" } }, "network_origin_bytes": { "total": "1695", "environment_types": { "production": "1354", "staging": "177", "development": "164" }, "site_types": { "standard": "1683", "transferable": "7", "sandbox": "5" } }, "network_cdn_bytes": { "total": "1695", "environment_types": { "production": "1354", "staging": "177", "development": "164" }, "site_types": { "standard": "1683", "transferable": "7", "sandbox": "5" } }, "network_total_bytes": { "total": "1695", "environment_types": { "production": "1354", "staging": "177", "development": "164" }, "site_types": { "standard": "1683", "transferable": "7", "sandbox": "5" } }, "storage_file_bytes": { "total": "1695", "environment_types": { "production": "1354", "staging": "177", "development": "164" }, "site_types": { "standard": "1683", "transferable": "7", "sandbox": "5" } }, "storage_database_bytes": { "total": "1695", "environment_types": { "production": "1354", "staging": "177", "development": "164" }, "site_types": { "standard": "1683", "transferable": "7", "sandbox": "5" } }, "request_origin_count": { "total": "1695", "environment_types": { "production": "1354", "staging": "177", "development": "164" }, "site_types": { "standard": "1683", "transferable": "7", "sandbox": "5" } }}Bad Request
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
An array of error objects describing specific errors that arose when servicing the request
object
The name of the resource that was being processed when the error occurred
(Optional) The specific field associated with the error
(Optional) A type associated with the error. invalid_value, access_error, value_unavailable
(Optional) A machine code relating to the error that occurred with the field and resource
(Optional) A human-readable message relating to the error that occurred with the field and resource
Example
{ "message": "Invalid request.", "errors": [ { "resource": "Resource", "field": "field_name", "type": "invalid_value", "code": "invalid", "message": "The value is invalid." } ]}Authentication Error
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Bad Credentials"}Not authorized
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "You don't have permission to perform that action"}Not found
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Not Found"}Too many requests
Internal Server Error
object
A message regarding the error that occurred on the server
Example
{ "message": "An unexpected error occurred, please try again in a few minutes"}An invalid response was received from an upstream server
Service unavailable